Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.client
Class JSSEAdapter

    java.lang.Object
      |
      +--weblogic.webservice.client.JSSEAdapter

public class JSSEAdapter
extends java.lang.Object
implements SSLAdapter

Constructor Summary
`JSSEAdapter()`

Method Summary
`java.net.Socket` | `createProxySocket(java.lang.String host, int port)`
`java.net.Socket` | `createSocket(java.lang.String host, int port)`
`javax.net.ssl.SSLSocketFactory` | `getSocketFactory()`
`java.net.URLConnection` | `openConnection(java.net.URL url)`
`void` | `setProxy(java.lang.String host, int port)`
`void` | `setSocketFactory(javax.net.ssl.SSLSocketFactory factory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSSEAdapter

    public JSSEAdapter()

Method Detail

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException

  Specified by:
    createSocket in interface SSLAdapter

### createProxySocket

    public java.net.Socket createProxySocket(java.lang.String host,
                                             int port)
                                      throws java.io.IOException

### openConnection

    public java.net.URLConnection openConnection(java.net.URL url)
                                          throws java.io.IOException

  Specified by:
    openConnection in interface SSLAdapter

### setSocketFactory

    public void setSocketFactory(javax.net.ssl.SSLSocketFactory factory)

### setProxy

    public void setProxy(java.lang.String host,
                         int port)

### getSocketFactory

    public javax.net.ssl.SSLSocketFactory getSocketFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference